subroutine gen_coef()
use work
!integer order


select case(order)

case(3)
alfa =-0.5
a1 =0.
a2 =1.

case(4)
alfa =-1./3.
a1 =0.1
a2 =0.5
a3 =0.4

beta =25./24.
gama =-15./8.

case(5)
alfa =-1
a1 =1./6.
a2 =1./6.
a3 =2./3.

beta =-1./8.
gama =-3./8.

case default    ! 3rd order; 2nd variant.
alfa =-2./3.
a1 =0.25
a2 =0.75

end select


end subroutine gen_coef


